### Method

# Gtk Snapshot push_mask

since: 4.10

#### Declaration [src]

    void
    gtk_snapshot_push_mask (
      GtkSnapshot* snapshot,
      GskMaskMode mask_mode
    )

#### Description [src]

Until the first call to `gtk_snapshot_pop()`, the mask image for the mask operation will be recorded.

After that call, the source image will be recorded until the second call to `gtk_snapshot_pop()`.

Calling this function requires 2 subsequent calls to gtk_snapshot_pop().

Available since: 4.10

#### Parameters

`mask_mode`

  Type: `GskMaskMode`

  Mask mode to use.